Compare commits

...
Sign in to create a new pull request.

3 commits

Author SHA1 Message Date
Michal Minář
1a21bc8228
New upstream version 3.3.8
Signed-off-by: Michal Minář <miminar@redhat.com>
2017-09-11 11:05:56 +02:00
Michal Minář
250f275705
New upstream version 3.3.7
Resolves: bz#1397456
Resolves: bz#1424546
Resolves: bz#1418493

Signed-off-by: Michal Minář <miminar@redhat.com>
2017-04-23 20:14:19 +02:00
Michal Minář
537f74a349 New upstream version
NV: wt-3.3.6

Signed-off-by: Michal Minář <miminar@redhat.com>
2016-08-08 15:08:39 +02:00
6 changed files with 62 additions and 67 deletions

2
.gitignore vendored
View file

@ -1 +1 @@
/wt-3.3.5-rc2-free.tar.xz /wt-3.3.8-free.tar.xz

View file

@ -1,42 +0,0 @@
Index: wt-3.3.5-rc2/src/web/base64.cpp
===================================================================
--- wt-3.3.5-rc2.orig/src/web/base64.cpp
+++ wt-3.3.5-rc2/src/web/base64.cpp
@@ -18,24 +18,26 @@ namespace base64
const char* to_table_end =
_to_table + sizeof(_to_table);
+ const char _o = (char)(-1);
+
const char _from_table[128] =
{
- -1, -1, -1, -1, -1, -1, -1, -1, // 0
- -1, -1, -1, -1, -1, -1, -1, -1, // 8
- -1, -1, -1, -1, -1, -1, -1, -1, // 16
- -1, -1, -1, -1, -1, -1, -1, -1, // 24
- -1, -1, -1, -1, -1, -1, -1, -1, // 32
- -1, -1, -1, 62, -1, -1, -1, 63, // 40
+ _o, _o, _o, _o, _o, _o, _o, _o, // 0
+ _o, _o, _o, _o, _o, _o, _o, _o, // 8
+ _o, _o, _o, _o, _o, _o, _o, _o, // 16
+ _o, _o, _o, _o, _o, _o, _o, _o, // 24
+ _o, _o, _o, _o, _o, _o, _o, _o, // 32
+ _o, _o, _o, 62, _o, _o, _o, 63, // 40
52, 53, 54, 55, 56, 57, 58, 59, // 48
- 60, 61, -1, -1, -1, 0, -1, -1, // 56
- -1, 0, 1, 2, 3, 4, 5, 6, // 64
+ 60, 61, _o, _o, _o, 0, _o, _o, // 56
+ _o, 0, 1, 2, 3, 4, 5, 6, // 64
7, 8, 9, 10, 11, 12, 13, 14, // 72
15, 16, 17, 18, 19, 20, 21, 22, // 80
- 23, 24, 25, -1, -1, -1, -1, -1, // 88
- -1, 26, 27, 28, 29, 30, 31, 32, // 96
+ 23, 24, 25, _o, _o, _o, _o, _o, // 88
+ _o, 26, 27, 28, 29, 30, 31, 32, // 96
33, 34, 35, 36, 37, 38, 39, 40, // 104
41, 42, 43, 44, 45, 46, 47, 48, // 112
- 49, 50, 51, -1, -1, -1, -1, -1 // 120
+ 49, 50, 51, _o, _o, _o, _o, _o // 120
};
const char* from_table = _from_table;
}

View file

@ -1 +1 @@
2473eed623c93a6d40b823bbc6e0e9c2 wt-3.3.5-rc2-free.tar.xz SHA512 (wt-3.3.8-free.tar.xz) = a80f54b8e045c086b5368c23f031b5eba66596b478f07c38eddd9bd4ec754dea036733d388619793ae5d9b0172d0217a30086234abdbe0e8c3efd5e2489b269d

View file

@ -1,17 +1,46 @@
#!/bin/sh #!/bin/sh
NAME="wt" set -euo pipefail
VERSION=$1 IFS=$'\n\t'
readonly NAME="wt"
readonly USAGE="Usage: ${BASH_SOURCE[0]} (-h | <VERSION>)
Extracts archive of ${NAME} of given VERSION and removes all unfree source code
and packs the resulting tree into ${NAME}-VERSION.tar.xz compressed archive.
Options:
-h Print this help and exit."
if [[ $# -lt 1 ]]; then
echo "Missing version argument!" >&2
exit 1
fi
if [[ "$1" == "-h" ]]; then
echo "${USAGE}"
exit 0
fi
readonly VERSION="$1"
readonly TARGET="${NAME}-${VERSION}-free.tar.xz"
tmp=`mktemp -d` tmp=`mktemp -d`
tar -xzvf $NAME-$VERSION.tar.gz -C $tmp function cleanup() {
pushd $tmp rm -r "${tmp}"
pushd $NAME-$VERSION/src/Wt/Dbo/backend }
rm -r ibpp trap cleanup EXIT
popd # backend
rm -r $NAME-$VERSION/resources/jPlayer
tar -cJvf $NAME-$VERSION-free.tar.xz $NAME-$VERSION
popd # tmp
mv $tmp/$NAME-$VERSION-free.tar.xz .
rm -r $tmp
tar -xzvf "${NAME}-${VERSION}.tar.gz" -C "${tmp}"
pushd "${tmp}"
pushd "${NAME}-${VERSION}/src/Wt/Dbo/backend"
rm -r ibpp
popd # backend
rm -r "${NAME}-${VERSION}/resources/jPlayer"
tar -cJvf "${TARGET}" "${NAME}-${VERSION}"
popd # tmp
mv "${tmp}/${NAME}-${VERSION}-free.tar.xz" .
printf "-------------------------------------------\n"
printf "To upload the archive, run:\n\n fedpkg upload %s\n\n" "${TARGET}"

32
wt.spec
View file

@ -3,11 +3,10 @@
%global WTRUNUSER apache %global WTRUNUSER apache
%global WTRUNGROUP apache %global WTRUNGROUP apache
%global alphatag rc2
Name: wt Name: wt
Version: 3.3.5 Version: 3.3.8
Release: 0.6.%{alphatag}%{?dist} Release: 1%{?dist}
Summary: C++ library for developing web applications Summary: C++ library for developing web applications
Group: Development/Libraries Group: Development/Libraries
@ -15,9 +14,9 @@ Group: Development/Libraries
License: GPLv2 and Boost and MIT and (Boost or MIT) and BSD and zlib License: GPLv2 and Boost and MIT and (Boost or MIT) and BSD and zlib
URL: http://www.webtoolkit.eu/wt URL: http://www.webtoolkit.eu/wt
# Following archive was made from upstream tarball downloaded from # Following archive was made from upstream tarball downloaded from
# http://citylan.dl.sourceforge.net/project/witty/wt/3.3.4/wt-3.3.4.tar.gz # https://github.com/kdeforche/wt/archive/3.3.8.tar.gz
# by running ./wt-generate-tarball.sh 3.3.5-rc2 from tarball's directory # by running ./wt-generate-tarball.sh 3.3.8 from tarball's directory
Source0: %{name}-%{version}-%{alphatag}-free.tar.xz Source0: %{name}-%{version}-free.tar.xz
Source1: %{name}-%{version}-PACKAGE-LICENSING Source1: %{name}-%{version}-PACKAGE-LICENSING
# Explain why the locale example is renamed to timezone. # Explain why the locale example is renamed to timezone.
Source2: timezone-README.fedora Source2: timezone-README.fedora
@ -32,10 +31,8 @@ Source4: wt-generate-tarball.sh
Patch0: find-mysql.patch Patch0: find-mysql.patch
Patch1: use-system-sqlite.patch Patch1: use-system-sqlite.patch
# Fixes compilation on armv7hl with gcc 5.x
Patch2: fix-narrowing-issue-on-arm.patch
BuildRequires: cmake >= 2.6 boost-devel >= 1.41 openssl-devel doxygen BuildRequires: cmake >= 2.6 boost-devel >= 1.41 gcc-c++ openssl-devel doxygen
BuildRequires: GraphicsMagick-devel pango-devel sqlite-devel postgresql-devel BuildRequires: GraphicsMagick-devel pango-devel sqlite-devel postgresql-devel
BuildRequires: mysql-devel libharu-devel fcgi-devel zlib-devel qt-devel BuildRequires: mysql-devel libharu-devel fcgi-devel zlib-devel qt-devel
@ -114,10 +111,9 @@ Group: Documentation
This package contains the documents for Wt API and examples. This package contains the documents for Wt API and examples.
%prep %prep
%setup -q -n %{name}-%{version}-%{alphatag} %setup -q -n %{name}-%{version}
%patch0 -p1 -b .find-mysql %patch0 -p1 -b .find-mysql
%patch1 -p1 -b .use-system-sqlite %patch1 -p1 -b .use-system-sqlite
%patch2 -p1 -b .fix-narrowing-issue-on-arm
# static files like javascript and css should not be executable # static files like javascript and css should not be executable
for d in src resources examples; do for d in src resources examples; do
@ -176,7 +172,7 @@ make doc
%install %install
pushd wt-build pushd wt-build
make install DESTDIR=$RPM_BUILD_ROOT make install DESTDIR=${RPM_BUILD_ROOT}
install -v -m 0755 -d ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name} install -v -m 0755 -d ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}
cp -v wt_config.xml ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name} cp -v wt_config.xml ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}
@ -199,6 +195,8 @@ do # create a symlink for each feature example pointing on resources dir
done done
popd # examples popd # examples
popd # wt-build popd # wt-build
install -vm 0755 -d ${RPM_BUILD_ROOT}/%{_datadir}/cmake/Modules
install -vm 0644 cmake/FindWt.cmake ${RPM_BUILD_ROOT}/%{_datadir}/cmake/Modules
install -vm 644 %{SOURCE2} \ install -vm 644 %{SOURCE2} \
${RPM_BUILD_ROOT}%{_libdir}/Wt/examples/feature/timezone/README.fedora ${RPM_BUILD_ROOT}%{_libdir}/Wt/examples/feature/timezone/README.fedora
@ -276,6 +274,7 @@ popd
%dir %{_includedir}/Wt %dir %{_includedir}/Wt
%{_includedir}/Wt/* %{_includedir}/Wt/*
%{_libdir}/*.so %{_libdir}/*.so
%{_datadir}/cmake/Modules/*.cmake
%files examples %files examples
%dir %{_libdir}/Wt %dir %{_libdir}/Wt
@ -297,6 +296,15 @@ popd
%{_defaultdocdir}/%{name}-doc/examples/* %{_defaultdocdir}/%{name}-doc/examples/*
%changelog %changelog
* Mon Sep 11 2017 Michal Minar <miminar@redhat.com> 3.3.8-1
- New upstream version 3.3.8
* Sun Apr 23 2017 Michal Minar <miminar@redhat.com> 3.3.7-1
- New upstream version 3.3.7
* Mon Aug 08 2016 Michal Minar <miminar@redhat.com> 3.3.6-1
- New upstream version 3.3.6
* Tue May 17 2016 Jonathan Wakely <jwakely@redhat.com> - 3.3.5-0.6.rc2 * Tue May 17 2016 Jonathan Wakely <jwakely@redhat.com> - 3.3.5-0.6.rc2
- Rebuilt for linker errors in boost (#1331983) - Rebuilt for linker errors in boost (#1331983)